| DocBook: The Definitive Guide 2.0.17 (Alpha)

# trademark

$Revision$

$Date$

trademark — A trademark

## Synopsis

### Mixed Content Model

    trademark ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     package|command|computeroutput|database|email|envar|errorcode|
     errorname|errortype|errortext|filename|function|guibutton|
     guiicon|guilabel|guimenu|guimenuitem|guisubmenu|hardware|
     interface|keycap|keycode|keycombo|keysym|literal|code|constant|
     markup|medialabel|menuchoice|mousebutton|option|optional|
     parameter|prompt|property|replaceable|returnvalue|sgmltag|
     structfield|structname|symbol|systemitem|uri|token|type|
     userinput|varname|nonterminal|anchor|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|emphasis)*

### Attributes

Common attributes

Name | Type | Default

class

Enumeration:
copyright
registered
service
trade

"trade"

## Description

`Trademark` identifies a legal trademark.

One of the values of the `Class` attribute on `Trademark` is `Copyright`. DocBook also has a `Copyright` element, but it is confined to meta-information. A copyright in running text is best represented as `<trademark class=copyright>`.

### Processing expectations

Formatted inline.

In addition to `Trademark`, two of the values of the `Class` attribute on `ProductName` make assertions about trademarks; presumably the same markup is intended for both `Trademark` and `ProductName` when they make assertions about trademarks.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain trademark: `abbrev`, `ackno`, `acronym`, `application`, `artpagenums`, `attribution`, `authorinitials`, `bibliocoverage`, `biblioid`, `bibliomisc`, `bibliorelation`, `bibliosource`, `bridgehead`, `citation`, `citebiblioid`, `citetitle`, `city`, `collabname`, `confdates`, `confnum`, `confsponsor`, `conftitle`, `contractnum`, `contractsponsor`, `contrib`, `corpauthor`, `corpcredit`, `corpname`, `country`, `date`, `edition`, `email`, `emphasis`, `entry`, `fax`, `firstname`, `firstterm`, `foreignphrase`, `glosssee`, `glossseealso`, `glossterm`, `holder`, `honorific`, `invpartnumber`, `isbn`, `issn`, `issuenum`, `jobtitle`, `label`, `lineage`, `lineannotation`, `link`, `literallayout`, `lotentry`, `manvolnum`, `member`, `modespec`, `msgaud`, `olink`, `orgdiv`, `orgname`, `otheraddr`, `othername`, `pagenums`, `para`, `phone`, `phrase`, `pob`, `postcode`, `primary`, `primaryie`, `productname`, `productnumber`, `programlisting`, `pubdate`, `publishername`, `pubsnumber`, `quote`, `refentrytitle`, `refmiscinfo`, `refpurpose`, `releaseinfo`, `remark`, `revnumber`, `revremark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `seriesvolnums`, `shortaffil`, `simpara`, `state`, `street`, `subtitle`, `surname`, `synopsis`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `ulink`, `volumenum`, `wordasword`, `year`.

### Children

The following elements occur in trademark: `action`, `anchor`, `application`, `classname`, `code`, `command`, `computeroutput`, `constant`, `database`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `package`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `type`, `ulink`, `uri`, `userinput`, `varname`.

## Attributes

class

  `Class` indicates the type of `Trademark`. The default is `Trade`.

## See Also

`copyright`, `legalnotice`, `productname`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The name <trademark class='registered'>WebSite</trademark> is a
    registered trademark of O'Reilly &amp; Associates, Inc.
    </para>

The name WebSite® is a registered trademark of O'Reilly & Associates, Inc.

For additional examples, see also `audioobject`, `productname`, `screenco`.

tr |  | type

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.